=== debian/changelog ===
vala-panel-appmenu (0.7.3+dfsg1-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Drop from B-D: libpeas-dev.

  [ Martin Wimpress ]
  * debian/control:
    + Drop Recommends: appmenu-qt. It has been removed from the Debian & UBuntu
      archives. https://wiki.debian.org/Qt4Removal
      (Closes: #935978).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Nov 2019 21:11:13 +0100

vala-panel-appmenu (0.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation, bump to DH compat level version 12.
  * debian/control:
    + Update B-Ds for this upstream release. Switch from cmake to meson.
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Switch to 'meson' as build-system.
  * debian/patches:
    + Drop all patches, they were cmake related.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Aug 2019 01:21:45 +0200
