=== debian/rules ===
#!/usr/bin/make -f

NULL=

DHFLAGS=--buildsystem=meson
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@ $(DHFLAGS)

override_dh_auto_build:
	dh_auto_build $(DHFLAGS)

override_dh_auto_configure:
	dh_auto_configure $(DHFLAGS) -- \
	        -Dwnck=enabled \
	        -Dvalapanel=enabled \
	        -Dxfce=enabled \
	        -Dmate=enabled \
	        -Dbudgie=enabled \
	        $(NULL)

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/share/vala-panel-appmenu/doc/README.md
	rm debian/tmp/usr/share/vala-panel-appmenu/doc/LICENSE
	rmdir debian/tmp/usr/share/vala-panel-appmenu/doc/
	#mkdir -p $(CURDIR)/debian/tmp/usr/lib/budgie-desktop/plugins/appmenu-budgie
	#mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/budgie-desktop/plugins/budgie-vala-panel-appmenu-plugin/* $(CURDIR)/debian/tmp/usr/lib/budgie-desktop/plugins/appmenu-budgie

override_dh_makeshlibs:
	dh_makeshlibs -Xbudgie -Xmate -Xvala-panel -Xxfce4

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f data/appmenu-mate.desktop.in
	rm -f data/appmenu.desktop.plugin.in

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.xz --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        _ccache/ \
	        rpm/ \
	        subprojects/ \
	        po/stamp-it \
	        $(NULL)
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	    find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"
