## vala-panel-appmenu 0.7.3.2+dfsg1

=== debian/changelog ===
vala-panel-appmenu (0.7.3.2+dfsg1-1ubuntu0.1) groovy; urgency=medium

  * Resolve segfault crash issues with apps like VSCode
    patches:
    0001-importer-small-fixes.patch
    0001-importer-process-events-after-layout-parse.-For-327.patch
    0001-importer-new-internal-layout.-Fixes-327.patch
    (LP: #1930615)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 03 Jun 2021 22:04:54 +0100

vala-panel-appmenu (0.7.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #951968).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Update versioned B-D: libvalapanel-dev (>= 0.4.92).
    + Add Rules-Requires-Root: field and set it to 'no'.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Aug 2020 20:29:15 +0200
