=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: vala-panel-appmenu
 Section: x11
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
+ David Mohammed <fossfreedom@ubuntu.com>
 Build-Depends: budgie-core-dev,
                meson (>= 0.49.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libbamf3-dev (>= 0.5.0),
                bamfdaemon (>= 0.5.0),
                libgtk-3-dev (>= 3.22.0),
                libmate-panel-applet-dev (>= 1.20),
-               libvalapanel-dev (>= 0.4.89),
+               libvalapanel-dev (>= 0.4.92),
                libwnck-3-dev (>= 3.4.8),
                libxfce4panel-2.0-dev,
                libxfconf-0-dev,
                valac (>= 0.24.0),
                xfce4-panel-dev (>= 4.11.2),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel-appmenu.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel-appmenu
