## vala-panel-appmenu 0.7.6+dfsg1

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-option('wnck', type: 'feature', value: 'auto', description: 'Alternative supporting backend and AUX functions')
+option('wm_backend', type: 'combo', choices: ['auto','wnck','bamf'], value: 'auto', description: 'Backend for appmenu')
+
 option('valapanel', type: 'feature', value: 'auto', description: 'Vala Panel Integration - 0.5.x')
 option('xfce', type: 'feature', value: 'auto', description: 'Xfce Panel Integration')
 option('mate', type: 'feature', value: 'auto', description: 'MATE Panel Integration')
