=== debian/changelog ===
vala-panel-appmenu (0.7.6+dfsg1-7ubuntu2) plucky; urgency=medium

  * Add missing build dependency on libxfce4ui-2-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Mar 2025 21:08:10 -0500

vala-panel-appmenu (0.7.6+dfsg1-7ubuntu1) plucky; urgency=medium

  * Remove obsolete runtime depends on appmenu-gtk2-module (Closes: #1095102).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Mar 2025 16:52:10 -0500

vala-panel-appmenu (0.7.6+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 20:54:06 -0400

vala-panel-appmenu (0.7.6+dfsg1-6) experimental; urgency=medium

  * Team upload
  * Revert dropping Budgie plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 17:01:11 -0400

vala-panel-appmenu (0.7.6+dfsg1-5) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bícha ]
  * Temporarily disable Budgie plugin
  * Bump Standards Version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 16:59:43 -0400

vala-panel-appmenu (0.7.6+dfsg1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0001_Update-LINGUAS.patch. Drop duplicate translations. Fixes FTBFS.
      (Relates to: #998558).
  * debian/rules:
    + Enforce bamf backend, don't build with wnck enabled (probably wrong
      syntax, now spotted by recent meson version). (Closes: #998558).
  * debian/control:
    + Drop from B-D: libwnck-3-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Nov 2021 15:46:44 +0100

vala-panel-appmenu (0.7.6+dfsg1-3) unstable; urgency=medium

  * debian/watch:
    + Fix broken watch file; possibly due to changes in gitlab.com.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 00:58:00 +0100

vala-panel-appmenu (0.7.6+dfsg1-2) unstable; urgency=medium

  * debian/control:
    + Drop B-D xfce4-panel-dev. Pkg not available anymore since XFCE4 4.16.
      (Closes: #978227).
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Jan 2021 23:52:54 +0100

vala-panel-appmenu (0.7.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Oct 2020 10:09:47 +0100

vala-panel-appmenu (0.7.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update versioned B-D on meson (>= 0.51.0).
    + Add versioned B-D on libglib2.0-dev (>= 2.52.0).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/{mate-applet-appmenu,xfce4-appmenu-plugin}*:
    + Add scripts for tweaking gsettings required to enable/disable appmenu
      support in MATE and XFCE4. (Closes: #930572).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Oct 2020 15:00:47 +0200
