=== debian/control ===
--- 
+++ 
@@ -7,38 +7,36 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
- David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: budgie-core-dev,
-               meson (>= 0.49.0),
-               debhelper-compat (= 13),
-               libbamf3-dev (>= 0.5.0),
-               bamfdaemon (>= 0.5.0),
-               libgtk-3-dev (>= 3.22.0),
-               libmate-panel-applet-dev (>= 1.20),
+Build-Depends: debhelper-compat (= 13),
+               budgie-core-dev,
+               meson (>= 0.51.0),
+               libbamf3-dev,
+               bamfdaemon,
+               libglib2.0-dev,
+               libgtk-3-dev,
+               libmate-panel-applet-dev,
                libvalapanel-dev (>= 0.4.92),
-               libwnck-3-dev (>= 3.4.8),
                libxfce4panel-2.0-dev,
+               libxfce4ui-2-dev,
                libxfconf-0-dev,
-               valac (>= 0.24.0),
-               xfce4-panel-dev (>= 4.11.2),
-Standards-Version: 4.5.0
+               valac,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel-appmenu.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel-appmenu
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/vala-panel-appmenu
 
 Package: budgie-appmenu-applet
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         appmenu-registrar (>= 0.7.1),
+         appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt5,
             libdbusmenu-glib4,
             libdbusmenu-gtk3-4,
             libdbusmenu-gtk4,
-            appmenu-gtk2-module,
             appmenu-gtk3-module,
 Description: Application Menu plugin for budgie-panel
  This is an Application Menu (Global Menu) plugin. It is built using
@@ -52,14 +50,13 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         appmenu-registrar (>= 0.7.1),
+         appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt5,
             libdbusmenu-glib4,
             libdbusmenu-gtk3-4,
             libdbusmenu-gtk4,
-            appmenu-gtk2-module,
             appmenu-gtk3-module,
 Description: Application Menu plugin for xfce4-panel
  This is an Application Menu (Global Menu) plugin. It is built using
@@ -72,14 +69,13 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         appmenu-registrar (>= 0.7.1),
+         appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt5,
             libdbusmenu-glib4,
             libdbusmenu-gtk3-4,
             libdbusmenu-gtk4,
-            appmenu-gtk2-module,
             appmenu-gtk3-module,
 Description: Application Menu plugin for mate-panel
  This is an Application Menu (Global Menu) plugin. It is built using
@@ -92,14 +88,13 @@
 Architecture: any
 Depends: bamfdaemon,
          vala-panel-appmenu-common (= ${source:Version}),
-         appmenu-registrar (>= 0.7.1),
+         appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: appmenu-qt5,
             libdbusmenu-glib4,
             libdbusmenu-gtk3-4,
             libdbusmenu-gtk4,
-            appmenu-gtk2-module,
             appmenu-gtk3-module,
 Description: Application Menu plugin for vala-panel
  This is an Application Menu (Global Menu) plugin. It is built using
