=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 NULL=
 
-DHFLAGS=--buildsystem=meson
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk
 
@@ -15,22 +14,18 @@
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
-	dh $@ $(DHFLAGS)
-
-override_dh_auto_build:
-	dh_auto_build $(DHFLAGS)
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure $(DHFLAGS) -- \
-	        -Dwnck=enabled \
-	        -Dvalapanel=enabled \
+	dh_auto_configure -- \
+	        -Dwm_backend=bamf \
+		-Dvalapanel=enabled \
 	        -Dxfce=enabled \
 	        -Dmate=enabled \
 	        -Dbudgie=enabled \
 	        $(NULL)
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm debian/tmp/usr/share/vala-panel-appmenu/doc/README.md
 	rm debian/tmp/usr/share/vala-panel-appmenu/doc/LICENSE
 	rmdir debian/tmp/usr/share/vala-panel-appmenu/doc/
@@ -40,11 +35,7 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -Xbudgie -Xmate -Xvala-panel -Xxfce4
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f data/appmenu-mate.desktop.in
 	rm -f data/appmenu.desktop.plugin.in
