=== debian/watch ===
version=4
https://gitlab.com/vala-panel-project/vala-panel-appmenu/-/tags/?([\d\.]+) .*/uploads/.*/vala-panel-appmenu-?([\d\.]+)\.tar\.xz
