## vala-panel-appmenu 24.05+dfsg

=== debian/changelog ===
vala-panel-appmenu (24.05+dfsg-2) unstable; urgency=medium

  * debian/control:
    + Update versioned B-D: libvalapanel-dev (>= 24.03).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 21:11:12 +0200

vala-panel-appmenu (24.05+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - xfce4-appmenu-plugin: Make appmenu expand work with updated Xfce 4.20.
      (Closes:  #1094010).
  * debian/patches:
    + Drop 0001_Update-LINGUAS.patch. Not required anymore.
    + Add 2001_build-appmenu-glib-translator-statically.patch. Build and link
      appmenu-glib-translator statically.
  * debian/watch:
    + Adjust to new syntax as required GitLab.
  * debian/control:
    + Drop reference to appmenu-gtk2-module. (Closes: #1095102).
    + Add B-D: libxfce4ui-2-dev. (Although this should be better handled by
      libxfce4panel-2.0-dev). (Closes: #1091049).
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Add to B-D: libwnck-3-dev.
    + Make package binNMU'able (fix relation between arch:any and arch:all
      bin:pkgs).
  * debian/{control,rules}:
    + Drop bamf(daemon) as B-D / D.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 18:36:51 +0200
