## vala-panel-appmenu 25.04%2Bdfsg

=== debian/changelog ===
vala-panel-appmenu (25.04+dfsg-3ubuntu1) resolute; urgency=medium

  * Disable Budgie plugin to fix build failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 08 Feb 2026 23:35:39 -0500

vala-panel-appmenu (25.04+dfsg-3) experimental; urgency=medium

  * Team upload
  * Revert removing Budgie plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Nov 2025 06:48:54 -0500

vala-panel-appmenu (25.04+dfsg-2) unstable; urgency=medium

  * Team upload
  * Add Build-Depends: gobject-introspection
  * Remove unsatisfiable Recommends: appmenu-qt5, libdbusmenu-gtk4
    (Closes: #1112018, #1115680, #1116078, #1116137)
  * Temporarily disable Budgie plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Nov 2025 06:46:58 -0500

vala-panel-appmenu (25.04+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 18:36:43 +0200
