=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vala-panel-appmenu
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -10,17 +9,16 @@
 Build-Depends: debhelper-compat (= 13),
                budgie-core-dev,
                meson (>= 0.51.0),
-               libbamf3-dev,
-               bamfdaemon,
                libglib2.0-dev,
                libgtk-3-dev,
                libmate-panel-applet-dev,
-               libvalapanel-dev (>= 0.4.92),
+               libvalapanel-dev (>= 24.03),
+               libwnck-3-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfconf-0-dev,
                valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/vala-panel-project/vala-panel-appmenu
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel-appmenu.git
@@ -28,8 +26,7 @@
 
 Package: budgie-appmenu-applet
 Architecture: any
-Depends: bamfdaemon,
-         vala-panel-appmenu-common (= ${source:Version}),
+Depends: vala-panel-appmenu-common (>= ${source:Version}),
          appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -48,8 +45,7 @@
 Package: xfce4-appmenu-plugin
 Section: xfce
 Architecture: any
-Depends: bamfdaemon,
-         vala-panel-appmenu-common (= ${source:Version}),
+Depends: vala-panel-appmenu-common (>= ${source:Version}),
          appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -67,8 +63,7 @@
 
 Package: mate-applet-appmenu
 Architecture: any
-Depends: bamfdaemon,
-         vala-panel-appmenu-common (= ${source:Version}),
+Depends: vala-panel-appmenu-common (>= ${source:Version}),
          appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -86,8 +81,7 @@
 
 Package: vala-panel-appmenu
 Architecture: any
-Depends: bamfdaemon,
-         vala-panel-appmenu-common (= ${source:Version}),
+Depends: vala-panel-appmenu-common (>= ${source:Version}),
          appmenu-registrar,
          ${misc:Depends},
          ${shlibs:Depends},
