=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +dfsg1
+DTYPE = +dfsg
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
@@ -18,7 +18,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	        -Dwm_backend=bamf \
+	        -Dwm_backend=auto \
 		-Dvalapanel=enabled \
 	        -Dxfce=enabled \
 	        -Dmate=enabled \
@@ -26,9 +26,7 @@
 	        $(NULL)
 
 execute_after_dh_auto_install:
-	rm debian/tmp/usr/share/vala-panel-appmenu/doc/README.md
-	rm debian/tmp/usr/share/vala-panel-appmenu/doc/LICENSE
-	rmdir debian/tmp/usr/share/vala-panel-appmenu/doc/
+	rm $(CURDIR)/debian/tmp/usr/share/licenses/vala-panel-appmenu/LICENSE
 	#mkdir -p $(CURDIR)/debian/tmp/usr/lib/budgie-desktop/plugins/appmenu-budgie
 	#mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/budgie-desktop/plugins/budgie-vala-panel-appmenu-plugin/* $(CURDIR)/debian/tmp/usr/lib/budgie-desktop/plugins/appmenu-budgie
 
@@ -48,14 +46,17 @@
 	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
 	@echo "# Extracting..."
 	mkdir $(PKG)-$(VER) \
-	    && tar -xf $(PKG)_$(VER).orig.tar.xz --directory $(PKG)-$(VER) --strip-components 1 \
+	    && TARFILE=$$(find $(PKG)_$(VER).orig.tar.* | head -n1) \
+	    && tar -xf $${TARFILE} --directory $(PKG)-$(VER) --strip-components 1 \
 	    || $(RM) -r $(PKG)-$(VER)
 	@echo "# Cleaning-up..."
 	cd $(PKG)-$(VER) \
 	    && $(RM) -r -v \
 	        _ccache/ \
 	        rpm/ \
-	        subprojects/ \
+	        subprojects/appmenu-gtk-module \
+	        subprojects/jayatana \
+	        subprojects/registrar \
 	        po/stamp-it \
 	        $(NULL)
 	$(RM) -v $(PKG)_$(VER).orig.tar.*
