=== debian/watch ===
version=4
opts="searchmode=plain, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/vala-panel-project/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
